# EclipseModel

abstract class EclipseModel

DSL-friendly model of the Eclipse project information. First point of entry for customizing Eclipse project generation.

    plugins {
        id 'java'
        id 'eclipse'
        id 'eclipse-wtp' // for web projects only
    }

    eclipse {
      pathVariables 'GRADLE_HOME': file('/best/software/gradle'), 'TOMCAT_HOME': file('../tomcat')

      project {
        //see docs for EclipseProject
      }

      classpath {
        //see docs for EclipseClasspath
      }

      wtp {
        //see docs for EclipseWtp
      }
    }

Content copied to clipboard
More examples in docs for EclipseProject, EclipseClasspath, EclipseWtp

## Constructors

EclipseModel
Link copied to clipboard
constructor()
@Inject
constructor(project: Project)
Constructor.

## Properties

classpath
Link copied to clipboard
open var classpath: EclipseClasspath
jdt
Link copied to clipboard
open var jdt: EclipseJdt
project
Link copied to clipboard
open var project: EclipseProject
wtp
Link copied to clipboard
open var wtp: EclipseWtp

## Functions

autoBuildTasks
Link copied to clipboard
open fun autoBuildTasks(autoBuildTasks: Array<Any>)
Set tasks to be executed during the Eclipse auto-build.
classpath
Link copied to clipboard
open fun classpath(@DelegatesTo(value = EclipseClasspath::class) closure: Closure)
open fun classpath(action: Action<in EclipseClasspath>)
Configures eclipse classpath information For examples see docs for EclipseClasspath
getAutoBuildTasks
Link copied to clipboard
open fun getAutoBuildTasks(): TaskDependency
Returns the tasks to be executed during the Eclipse auto-build.
getSynchronizationTasks
Link copied to clipboard
open fun getSynchronizationTasks(): TaskDependency
Returns the tasks to be executed before the Eclipse synchronization starts.
jdt
Link copied to clipboard
open fun jdt(@DelegatesTo(value = EclipseJdt::class) closure: Closure)
open fun jdt(action: Action<in EclipseJdt>)
Configures eclipse java compatibility information (jdt) For examples see docs for EclipseProject
pathVariables
Link copied to clipboard
open fun pathVariables(pathVariables: Map<String, File>)
Adds path variables to be used for replacing absolute paths in classpath entries.
project
Link copied to clipboard
open fun project(@DelegatesTo(value = EclipseProject::class) closure: Closure)
open fun project(action: Action<in EclipseProject>)
Configures eclipse project information For examples see docs for EclipseProject
synchronizationTasks
Link copied to clipboard
open fun synchronizationTasks(synchronizationTasks: Array<Any>)
Set tasks to be executed before the Eclipse synchronization.
wtp
Link copied to clipboard
open fun wtp(@DelegatesTo(value = EclipseWtp::class) closure: Closure)
open fun wtp(action: Action<in EclipseWtp>)
Configures eclipse wtp information For examples see docs for EclipseWtp